# Store search

POST `/search/stores`

This endpoint lets you to search for stores on Agora.

**Headers**

| Header          | Type   | Description   |
| --------------- | ------ | ------------- |
| `Authorization` | string | Bearer token. |

**Request body**

```json
{
  "query":"store name",
}
```

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "status": "success",
  "stores": [
    {
      "name": "SUPER73",
      "storeUrl": "https://super73.com",
      "agoraStoragePageUrl": "https://searchagora.com/store/SUPER73",
      "productCount": 214
    },
    {
      "name": "Super7",
      "storeUrl": "https://super7.com",
      "agoraStoragePageUrl": "https://searchagora.com/store/Super7",
      "productCount": 2447
    }
  ]
}
```

{% endtab %}

{% tab title="400" %}

```json
{
 "status": "error",
 "data": "No store found"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.searchagora.com/search/store-search.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
